Index: src/math/group.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/math/group.c,v
retrieving revision 1.3
diff -u -p -r1.3 group.c
--- src/math/group.c	15 Mar 2006 03:29:11 -0000	1.3
+++ src/math/group.c	10 Dec 2006 03:30:41 -0000
@@ -63,7 +63,11 @@ struct group_proc *
 group_proc_get (struct variable *v)
 {
   /* This is not ideal, obviously. */
-  if (v->aux == NULL) 
-    var_attach_aux (v, xmalloc (sizeof (struct group_proc)), var_dtor_free);
-  return v->aux;
+  struct group_proc *group = var_get_aux (v);
+  if (group == NULL) 
+    {
+      group = xmalloc (sizeof (struct group_proc));
+      var_attach_aux (v, group, var_dtor_free); 
+    }
+  return group;
 }
Index: src/math/levene.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/math/levene.c,v
retrieving revision 1.7
diff -u -p -r1.7 levene.c
--- src/math/levene.c	5 Nov 2006 00:35:44 -0000	1.7
+++ src/math/levene.c	10 Dec 2006 03:30:42 -0000
@@ -187,7 +187,7 @@ levene_calc (const struct dictionary *di
 {
   size_t i;
   bool warn = false;
-  const union value *gv = case_data (c, l->v_indep->fv);
+  const union value *gv = case_data (c, l->v_indep);
   struct group_statistics key;
   double weight = dict_get_case_weight (dict, c, &warn); 
 
@@ -198,7 +198,7 @@ levene_calc (const struct dictionary *di
       struct variable *var = l->v_dep[i];
       struct group_proc *gp = group_proc_get (var);
       double levene_z;
-      const union value *v = case_data (c, var->fv);
+      const union value *v = case_data (c, var);
       struct group_statistics *gs;
 
       gs = hsh_find(gp->group_hash,(void *) &key );
@@ -278,7 +278,7 @@ levene2_calc (const struct dictionary *d
 
   double weight = dict_get_case_weight (dict, c, &warn); 
 
-  const union value *gv = case_data (c, l->v_indep->fv);
+  const union value *gv = case_data (c, l->v_indep);
   struct group_statistics key;
 
   key.id = *gv;
@@ -287,7 +287,7 @@ levene2_calc (const struct dictionary *d
     {
       double levene_z;
       struct variable *var = l->v_dep[i] ;
-      const union value *v = case_data (c, var->fv);
+      const union value *v = case_data (c, var);
       struct group_statistics *gs;
 
       gs = hsh_find(group_proc_get (var)->group_hash,(void *) &key );
Index: src/math/sort.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/math/sort.c,v
retrieving revision 1.19
diff -u -p -r1.19 sort.c
--- src/math/sort.c	7 Dec 2006 06:31:04 -0000	1.19
+++ src/math/sort.c	10 Dec 2006 03:30:42 -0000
@@ -463,13 +463,14 @@ compare_record (const struct ccase *a, c
       
       if (c->width == 0)
         {
-          double af = case_num (a, c->fv);
-          double bf = case_num (b, c->fv);
+          double af = case_num_idx (a, c->fv);
+          double bf = case_num_idx (b, c->fv);
           
           result = af < bf ? -1 : af > bf;
         }
       else
-        result = memcmp (case_str (a, c->fv), case_str (b, c->fv), c->width);
+        result = memcmp (case_str_idx (a, c->fv),
+                         case_str_idx (b, c->fv), c->width);
 
       if (result != 0)
         return c->dir == SRT_ASCEND ? result : -result;
Index: src/output/table.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/output/table.c,v
retrieving revision 1.17
diff -u -p -r1.17 table.c
--- src/output/table.c	25 Nov 2006 02:15:01 -0000	1.17
+++ src/output/table.c	10 Dec 2006 03:30:43 -0000
@@ -31,7 +31,7 @@
 
 #include <data/data-out.h>
 #include <data/format.h>
-#include <data/variable.h>
+#include <data/value.h>
 #include <libpspp/alloc.h>
 #include <libpspp/assertion.h>
 #include <libpspp/compiler.h>
Index: src/ui/flexifile.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/flexifile.c,v
retrieving revision 1.4
diff -u -p -r1.4 flexifile.c
--- src/ui/flexifile.c	29 Nov 2006 11:50:31 -0000	1.4
+++ src/ui/flexifile.c	10 Dec 2006 03:30:43 -0000
@@ -331,7 +331,7 @@ impl_resize (struct flexifile *ff, int n
 
       case_copy (&c, 0, &ff->cases[i], 0, posn);
       if ( n_values > 0 ) 
-	memset (case_data_rw(&c, posn), ' ', n_values * MAX_SHORT_STRING) ;
+	memset (case_data_rw_idx(&c, posn), ' ', n_values * MAX_SHORT_STRING) ;
       case_copy (&c, posn + n_values, 
 		 &ff->cases[i], posn, ff->value_cnt - posn);
 
Index: src/ui/gui/helper.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/gui/helper.c,v
retrieving revision 1.8
diff -u -p -r1.8 helper.c
--- src/ui/gui/helper.c	22 Nov 2006 04:24:03 -0000	1.8
+++ src/ui/gui/helper.c	10 Dec 2006 03:30:43 -0000
@@ -1,3 +1,5 @@
+#include <config.h>
+
 #include "helper.h"
 #include <data/data-in.h>
 #include <data/data-out.h>
Index: src/ui/gui/missing-val-dialog.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/gui/missing-val-dialog.c,v
retrieving revision 1.4
diff -u -p -r1.4 missing-val-dialog.c
--- src/ui/gui/missing-val-dialog.c	27 May 2006 08:36:10 -0000	1.4
+++ src/ui/gui/missing-val-dialog.c	10 Dec 2006 03:30:44 -0000
@@ -279,7 +279,7 @@ missing_val_dialog_show(struct missing_v
   gtk_widget_set_sensitive(dialog->discrete, FALSE);   
 
   gtk_widget_set_sensitive(GTK_WIDGET(dialog->button_range), 
-			   psppire_variable_get_type(dialog->pv) == NUMERIC);
+			   psppire_variable_get_type(dialog->pv) == VAR_NUMERIC);
 
   for(i = 0 ; i < 3 ; ++i ) 
     {
Index: src/ui/gui/psppire-case-file.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/gui/psppire-case-file.c,v
retrieving revision 1.7
diff -u -p -r1.7 psppire-case-file.c
--- src/ui/gui/psppire-case-file.c	22 Nov 2006 04:24:03 -0000	1.7
+++ src/ui/gui/psppire-case-file.c	10 Dec 2006 03:30:44 -0000
@@ -247,7 +247,7 @@ psppire_case_file_get_value(const Psppir
 
   flexifile_get_case(FLEXIFILE(cf->flexifile), casenum, &c);
 
-  v = case_data(&c, idx);
+  v = case_data_idx(&c, idx);
 
   case_destroy(&c);
 
@@ -284,7 +284,7 @@ psppire_case_file_set_value(PsppireCaseF
     bytes = DIV_RND_UP(width, MAX_SHORT_STRING) * MAX_SHORT_STRING ;
 
   /* Cast away const in flagrant abuse of the casefile */
-  memcpy((union value *)case_data(&cc, idx), v, bytes);
+  memcpy((union value *)case_data_idx(&cc, idx), v, bytes);
 
   g_signal_emit(cf, signal[CASE_CHANGED], 0, casenum);
 
@@ -310,7 +310,7 @@ psppire_case_file_data_in(PsppireCaseFil
 
   /* Cast away const in flagrant abuse of the casefile */
   if (!data_in (input, fmt->type, 0, 0,
-                (union value *) case_data(&cc, idx), fmt_var_width (fmt)))
+                (union value *) case_data_idx(&cc, idx), fmt_var_width (fmt)))
     g_warning("Cant set value\n");
 
   g_signal_emit(cf, signal[CASE_CHANGED], 0, casenum);
Index: src/ui/gui/psppire-data-store.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/gui/psppire-data-store.c,v
retrieving revision 1.20
diff -u -p -r1.20 psppire-data-store.c
--- src/ui/gui/psppire-data-store.c	22 Nov 2006 04:24:03 -0000	1.20
+++ src/ui/gui/psppire-data-store.c	10 Dec 2006 03:30:44 -0000
@@ -442,10 +442,10 @@ psppire_data_store_insert_new_case(Psppi
   for (v = 0 ; v < psppire_dict_get_var_cnt (ds->dict) ; ++v) 
     {
       const struct PsppireVariable *pv = psppire_dict_get_variable(ds->dict, v);
-      if (ALPHA ==  psppire_variable_get_type(pv) ) 
+      if (VAR_STRING ==  psppire_variable_get_type(pv) ) 
 	continue;
 
-      case_data_rw (&cc, psppire_variable_get_fv (pv))->f = SYSMIS;
+      case_data_rw_idx (&cc, psppire_variable_get_fv (pv))->f = SYSMIS;
     }
 
   result = psppire_case_file_insert_case (ds->case_file, &cc, posn);
@@ -530,7 +530,7 @@ psppire_data_store_clear_datum (GSheetMo
 
   const gint index = psppire_variable_get_fv(pv) ;
 
-  if ( psppire_variable_get_type(pv) == NUMERIC) 
+  if ( psppire_variable_get_type(pv) == VAR_NUMERIC) 
     v.f = SYSMIS;
   else
     memcpy(v.s, "", MAX_SHORT_STRING);
Index: src/ui/gui/psppire-var-store.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/gui/psppire-var-store.c,v
retrieving revision 1.13
diff -u -p -r1.13 psppire-var-store.c
--- src/ui/gui/psppire-var-store.c	3 Nov 2006 04:53:52 -0000	1.13
+++ src/ui/gui/psppire-var-store.c	10 Dec 2006 03:30:45 -0000
@@ -156,7 +156,7 @@ psppire_var_store_item_editable(PsppireV
   if ( !pv ) 
     return TRUE;
 
-  if ( ALPHA == psppire_variable_get_type(pv) && column == COL_DECIMALS ) 
+  if ( VAR_STRING == psppire_variable_get_type(pv) && column == COL_DECIMALS ) 
     return FALSE;
 
   write_spec = psppire_variable_get_write_spec(pv);
Index: src/ui/gui/psppire-variable.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/gui/psppire-variable.c,v
retrieving revision 1.8
diff -u -p -r1.8 psppire-variable.c
--- src/ui/gui/psppire-variable.c	5 Dec 2006 15:10:22 -0000	1.8
+++ src/ui/gui/psppire-variable.c	10 Dec 2006 03:30:45 -0000
@@ -18,6 +18,8 @@
     Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
     02110-1301, USA. */
 
+#include <config.h>
+
 #include <string.h>
 #include <stdlib.h>
 
@@ -51,7 +53,7 @@ psppire_variable_set_name(struct Psppire
 
   dict_rename_var(pv->dict->dict, pv->v, text);
 
-  psppire_dict_var_changed(pv->dict, pv->v->index);
+  psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
 
   return TRUE;
 }
@@ -66,7 +68,7 @@ psppire_variable_set_columns(struct Pspp
 
   var_set_display_width (pv->v, columns);
   
-  psppire_dict_var_changed(pv->dict, pv->v->index);
+  psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
 
   return TRUE;
 }
@@ -80,7 +82,7 @@ psppire_variable_set_label(struct Psppir
 
   var_set_label (pv->v, label);
 
-  psppire_dict_var_changed(pv->dict, pv->v->index);
+  psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
 
   return TRUE;
 }
@@ -124,7 +126,7 @@ psppire_variable_set_width(struct Psppir
 	old_var_cnt = DIV_RND_UP(var_get_width (pv->v), MAX_SHORT_STRING);
       
       new_var_cnt = DIV_RND_UP(width, MAX_SHORT_STRING);
-      pv->v->width = width;
+      var_set_width (pv->v, width);
 
       psppire_dict_resize_variable(pv->dict, pv,
 				   old_var_cnt, new_var_cnt);
@@ -148,10 +150,7 @@ psppire_variable_set_type(struct Psppire
   else
     old_var_cnt = DIV_RND_UP (var_get_width (pv->v), MAX_SHORT_STRING);
 
-  if ( type == NUMERIC ) 
-    pv->v->width = 0;
-  else if (var_get_width (pv->v))
-    pv->v->width = 1;
+  var_set_width (pv->v, type == VAR_NUMERIC ? 0 : 1);
 
   if ( var_get_width (pv->v) == 0 ) 
     new_var_cnt = 1;
@@ -161,7 +160,7 @@ psppire_variable_set_type(struct Psppire
   psppire_dict_resize_variable(pv->dict, pv,
 			       old_var_cnt, new_var_cnt);
 
-  psppire_dict_var_changed(pv->dict, pv->v->index);
+  psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
   return TRUE;
 }
 
@@ -180,7 +179,7 @@ psppire_variable_set_format(struct Psppi
     {
       msg_enable ();
       var_set_both_formats (pv->v, fmt);
-      psppire_dict_var_changed(pv->dict, pv->v->index);
+      psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
       return TRUE;
     }
   msg_enable ();
@@ -197,10 +196,9 @@ psppire_variable_set_value_labels(const 
   g_return_val_if_fail(pv->dict, FALSE);
   g_return_val_if_fail(pv->v, FALSE);
 
-  val_labs_destroy(pv->v->val_labs);
-  pv->v->val_labs = val_labs_copy(vls);
+  var_set_value_labels (pv->v, vls);
 
-  psppire_dict_var_changed(pv->dict, pv->v->index);
+  psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
   return TRUE;
 }
 
@@ -214,7 +212,7 @@ psppire_variable_set_missing(const struc
 
   var_set_missing_values (pv->v, miss);
 
-  psppire_dict_var_changed(pv->dict, pv->v->index);
+  psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
   return TRUE;
 }
 
@@ -226,7 +224,7 @@ psppire_variable_set_write_spec(const st
 
   var_set_write_format (pv->v, &fmt);
 
-  psppire_dict_var_changed(pv->dict, pv->v->index);
+  psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
   return TRUE;
 }
 
@@ -238,7 +236,7 @@ psppire_variable_set_print_spec(const st
 
   var_set_print_format (pv->v, &fmt);
 
-  psppire_dict_var_changed(pv->dict, pv->v->index);
+  psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
   return TRUE;
 }
 
@@ -253,7 +251,7 @@ psppire_variable_set_alignment(struct Ps
 
   var_set_alignment (pv->v, align);
 
-  psppire_dict_var_changed(pv->dict, pv->v->index);
+  psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
   return TRUE;
 }
 
@@ -267,7 +265,7 @@ psppire_variable_set_measure(struct Pspp
 
   var_set_measure (pv->v, measure + 1);
 
-  psppire_dict_var_changed(pv->dict, pv->v->index);
+  psppire_dict_var_changed(pv->dict, var_get_dict_index (pv->v));
   return TRUE;
 }
 
@@ -329,7 +327,7 @@ psppire_variable_get_value_labels(const 
   g_return_val_if_fail(pv, NULL);
   g_return_val_if_fail(pv->v, NULL);
 
-  return pv->v->val_labs;
+  return var_get_value_labels (pv->v);
 }
 
 
@@ -379,7 +377,7 @@ psppire_variable_get_fv(const struct Psp
   g_return_val_if_fail(pv, -1);
   g_return_val_if_fail(pv->v, -1);
 
-  return pv->v->fv;
+  return var_get_case_index (pv->v);
 }
 
 
@@ -390,6 +388,6 @@ psppire_variable_get_index(const struct 
   g_return_val_if_fail(pv, -1);
   g_return_val_if_fail(pv->v, -1);
 
-  return pv->v->index;
+  return var_get_dict_index (pv->v);
 }
 
Index: src/ui/gui/psppire-variable.h
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/gui/psppire-variable.h,v
retrieving revision 1.3
diff -u -p -r1.3 psppire-variable.h
--- src/ui/gui/psppire-variable.h	24 Jun 2006 09:08:50 -0000	1.3
+++ src/ui/gui/psppire-variable.h	10 Dec 2006 03:30:45 -0000
@@ -28,6 +28,8 @@
 #include <data/variable.h>
 #include "psppire-dict.h"
 
+struct val_labs;
+
 /* Don't use any of these members.
    Use accessor functions instead.
 */
Index: src/ui/gui/val-labs-dialog.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/gui/val-labs-dialog.c,v
retrieving revision 1.4
diff -u -p -r1.4 val-labs-dialog.c
--- src/ui/gui/val-labs-dialog.c	31 May 2006 07:38:03 -0000	1.4
+++ src/ui/gui/val-labs-dialog.c	10 Dec 2006 03:30:45 -0000
@@ -22,6 +22,8 @@
 /*  This module describes the behaviour of the Value Labels dialog box,
     used for input of the value labels in the variable sheet */
 
+#include <config.h>
+
 #include <string.h>
 
 #include "helper.h"
Index: src/ui/gui/var-sheet.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/gui/var-sheet.c,v
retrieving revision 1.8
diff -u -p -r1.8 var-sheet.c
--- src/ui/gui/var-sheet.c	29 Jul 2006 09:37:18 -0000	1.8
+++ src/ui/gui/var-sheet.c	10 Dec 2006 03:30:45 -0000
@@ -372,7 +372,7 @@ var_sheet_cell_change_entry (GtkSheet * 
 		{
 		case COL_WIDTH:
 		  r_min = fmt->d + 1;
-		  r_max = (psppire_variable_get_type(pv) == ALPHA) ? MAX_STRING : 40;
+		  r_max = (psppire_variable_get_type(pv) == VAR_STRING) ? MAX_STRING : 40;
 		  break;
 		case COL_DECIMALS:
 		  r_min = 0 ; 
Index: src/ui/gui/var-type-dialog.c
===================================================================
RCS file: /cvsroot/pspp/pspp/src/ui/gui/var-type-dialog.c,v
retrieving revision 1.6
diff -u -p -r1.6 var-type-dialog.c
--- src/ui/gui/var-type-dialog.c	3 Nov 2006 04:53:52 -0000	1.6
+++ src/ui/gui/var-type-dialog.c	10 Dec 2006 03:30:46 -0000
@@ -819,14 +819,14 @@ on_var_type_ok_clicked(GtkWidget *w, gpo
     gint decimals = atoi(gtk_entry_get_text
 			 (GTK_ENTRY(dialog->entry_decimals)));
 
-    gint new_type = NUMERIC;
+    gint new_type = VAR_NUMERIC;
     gint new_width = 0;
     bool result = false;
     struct fmt_spec spec;
     switch (dialog->active_button) 
       {
       case BUTTON_STRING:
-	new_type = ALPHA;
+	new_type = VAR_STRING;
 	new_width = width;
 	result = make_output_format_try(&spec, FMT_A, width, 0);
 	break;
